#!/bin/sh

PERF=./perforate.sh
INFO=./build/info

tmpfile=$(mktemp)

get_scop() {
    $PERF -e "$1"
}

get_info() {
    $INFO "$1" > $tmpfile
}

perforate() {
    $PERF -a -o "$3_$4_$2" -s "$3" -l "$4" "$1" 
}

#get_scop "codes/heat-3d/heat-3d.c" "codes/heat-3d/heat-3d_perf.c"
#get_info "codes/heat-3d/heat-3d.c.openscop"
#
#while read x y; do
#    perforate "codes/heat-3d/heat-3d.c" "heat-3d_perf.c" "$x" "$y"
#done < $tmpfile

file=
target=codes/correlation/correlation

get_scop "${target}.c" "${target}_perf.c"
get_info "${target}.openscop"

while read x y; do
    perforate "${target}.c" "${target}_perf.c" "$x" "$y"
done < $tmpfile

rm "$tmpfile"
